Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeDriver::deDriverCaps Struct Reference

structure for evaluating the capabilities of a hardware device More...

`#include <deDriver.hpp>`

List of all members.

## Public Attributes
char | AdapterDescription [255]
| name of the video card, as it identifies itself
deBoolean | HWTnL
| does the card support hardware transform and lighting?
deBoolean | Dot3Support
| does the card support dot-product3 for textures?
long | MaxTextureBitDepth
| highest texture bitdepth (16 for old cards, 32 or higher for new ones)
long | SimulTextures
| number of textures that can be used at once to render
long | TexWidth
| maximum texture width
long | TexHeight
| maximum texture height
long | NumStreams
| number of vertex streams supported
long | MaxVert
| highest index value for a vertex
long | MaxPrim
| maximum number of primitives renderable in a call
long | MaxLights
| limit of lights in hardware fixed-function pipeline
long | VertCacheSize
| number of vertices stored in post-transform cache (if known)
deFloat | VShader
| supported version number of vertex shader/program
deFloat | PShader
| supported version number of pixel/fragment shader/program

## Detailed Description

structure for evaluating the capabilities of a hardware device

## Member Data Documentation

char IdeDriver::deDriverCaps::AdapterDescription[255]

| name of the video card, as it identifies itself

deBoolean IdeDriver::deDriverCaps::Dot3Support

| does the card support dot-product3 for textures?

deBoolean IdeDriver::deDriverCaps::HWTnL

| does the card support hardware transform and lighting?

long IdeDriver::deDriverCaps::MaxLights

| limit of lights in hardware fixed-function pipeline

long IdeDriver::deDriverCaps::MaxPrim

| maximum number of primitives renderable in a call

long IdeDriver::deDriverCaps::MaxTextureBitDepth

| highest texture bitdepth (16 for old cards, 32 or higher for new ones)

long IdeDriver::deDriverCaps::MaxVert

| highest index value for a vertex

long IdeDriver::deDriverCaps::NumStreams

| number of vertex streams supported

deFloat IdeDriver::deDriverCaps::PShader

| supported version number of pixel/fragment shader/program

long IdeDriver::deDriverCaps::SimulTextures

| number of textures that can be used at once to render

long IdeDriver::deDriverCaps::TexHeight

| maximum texture height

long IdeDriver::deDriverCaps::TexWidth

| maximum texture width

long IdeDriver::deDriverCaps::VertCacheSize

| number of vertices stored in post-transform cache (if known)

deFloat IdeDriver::deDriverCaps::VShader

| supported version number of vertex shader/program

The documentation for this struct was generated from the following file:

- deDriver.hpp